### File

`packages/eui/packages/components-next/src/lib/layout/eui-app/eui-app.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-app`
styleUrls | `./_styles/_index.scss`
templateUrl | `./eui-app.component.html`

### Index

###### Properties
_isSidebarHidden appToolbar Public asService customPageWrapper
###### Inputs
appName appShortName appSubTitle impersonatedUserInfos isShrinkHeaderActive isSidebarExpandOnHover isSidebarHidden isSidebarOpen themeClass userInfos userSubInfos
###### HostBindings
class
###### Accessors
isSidebarHidden

### Constructor

`constructor(asService: UxAppShellService, deviceDetectorService: DeviceDetectorService, euiConfigToken: EuiConfig)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No
deviceDetectorService | `DeviceDetectorService` | No
euiConfigToken | `EuiConfig` | No

### Inputs

appName
Default value : `''`

appShortName
Default value : `''`

appSubTitle
Default value : `''`

impersonatedUserInfos
Type : `string`

isShrinkHeaderActive
Default value : `true`

isSidebarExpandOnHover
Default value : `true`

isSidebarHidden

isSidebarOpen
Default value : `false`

themeClass
Default value : `''`

userInfos
Default value : `''`

userSubInfos
Type : `string`

### HostBindings

class

### Properties

_isSidebarHidden
Default value : `false`

appToolbar
Type : `QueryList<EuiAppToolbarDirective>`
Decorators : `@ContentChild(undefined)`

Public asService
Type : `UxAppShellService`

customPageWrapper
Type : `QueryList<EuiAppPageWrapperDirective>`
Decorators : `@ContentChild(undefined)`

### Accessors

isSidebarHidden
set `isSidebarHidden(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""